Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-04-2019 15:15:08

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

[Résolu] Erreur de GPG, fichier sources.list

Bonjour tout le monde smile

Je suis débutant dans l'univers de Debian (et de GNU/Linux d'ailleurs tux.png). Depuis une image .iso sur clé USB, j'ai installé Debian Strech 9.8 debian.png

Voici la version du kernel :

uname -a


Linux PC 4.9.0-8-amd64 #1 SMP Debian 4.9.144-3.1 (2019-02-19) x86_64 GNU/Linux


Avant de me résigner à poster sur le forum, j'ai cherché (probablement mal) ; j'ai résolu plusieurs problèmes notamment avec ma carte réseau qui nécessitait un firmware non libre (firmware-iwlwifi) et c'est probablement à cette occasion que j'ai "bidouillé" mon fichier sources.list comme un vilain kernal_panic.gif

J'ai aussi lu intégralement :
Le manuel d'installation Debian
Les cahiers du débutant

Le chapitre P.112 des cahiers de l'administrateur, concernant sources.list

Voici le message d'erreur que j'obtiens lorsque je tente de recharger les informations des paquets, via synaptic :

Échec du téléchargement de tous les fichiers d'index

Le dépôt ne semble plus être disponible ou ne peut être contacté à cause de problèmes de réseau. S'il existe un fichier d'index plus ancien, il sera utilisé. Sinon, le dépôt sera ignoré. Vérifiez votre connexion réseau et corrigez l'adresse du dépôt dans les préférences.

Erreur de GPG : http://security.debian.org/debian-security stretch/updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553The repository 'http://security.debian.org/debian-security stretch/updates InRelease' is not signed.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.The repository 'http://security.debian.org/debian stretch-updates Release' does not have a Release file.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.Erreur de GPG : http://deb.debian.org/debian stable-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010The repository 'http://deb.debian.org/debian stable-updates InRelease' is not signed.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.Erreur de GPG : http://ftp.debian.org/debian stretch-backports InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010The repository 'http://ftp.debian.org/debian stretch-backports InRelease' is not signed.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.Erreur de GPG : http://deb.debian.org/debian-security stable/updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553The repository 'http://deb.debian.org/debian-security stable/updates InRelease' is not signed.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.Erreur de GPG : http://ftp.fr.debian.org/debian stretch-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010The repository 'http://ftp.fr.debian.org/debian stretch-updates InRelease' is not signed.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.Erreur de GPG : http://deb.debian.org/debian stable Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500The repository 'http://deb.debian.org/debian stable Release' is not signed.Updating from such a repository can't be done securely, and is therefore disabled by default.See apt-secure(8) manpage for repository creation and user configuration details.Erreur de GPG : http://ftp.fr.debian.org/debian stretch Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500The repository 'http://ftp.fr.debian.org/debian stretch Release' is not signed.


Voici ce que j'obtiens avec la commande

apt-get update


Ign:1 http://deb.debian.org/debian stable InRelease
Ign:2 http://ftp.fr.debian.org/debian stretch InRelease                        
Réception de:3 http://security.debian.org/debian-security stretch/updates InRelease [94,3 kB]
Réception de:4 http://deb.debian.org/debian stable-updates InRelease [91,0 kB]
Réception de:5 http://ftp.debian.org/debian stretch-backports InRelease [91,8 kB]
Réception de:6 http://ftp.fr.debian.org/debian stretch-updates InRelease [91,0 kB]
Réception de:7 http://deb.debian.org/debian-security stable/updates InRelease [94,3 kB]
Ign:4 http://deb.debian.org/debian stable-updates InRelease                    
Atteint:8 http://deb.debian.org/debian stable Release                          
Réception de:9 http://deb.debian.org/debian stable Release.gpg [2 434 B]      
Ign:7 http://deb.debian.org/debian-security stable/updates InRelease          
Réception de:10 http://deb.debian.org/debian-security stable/updates/main Sources [199 kB]
Ign:9 http://deb.debian.org/debian stable Release.gpg                          
Réception de:11 http://deb.debian.org/debian-security stable/updates/main amd64 Packages [485 kB]
Ign:5 http://ftp.debian.org/debian stretch-backports InRelease                
Ign:3 http://security.debian.org/debian-security stretch/updates InRelease    
Réception de:12 http://ftp.debian.org/debian stretch-backports/main Sources.diff/Index [27,8 kB]
Ign:13 http://security.debian.org/debian stretch-updates InRelease            
Réception de:14 http://security.debian.org/debian-security stretch/updates/main Sources [199 kB]
Réception de:15 http://ftp.debian.org/debian stretch-backports/main amd64 Packages.diff/Index [27,8 kB]
Ign:6 http://ftp.fr.debian.org/debian stretch-updates InRelease                
Réception de:16 http://ftp.debian.org/debian stretch-backports/main Translation-en.diff/Index [27,8 kB]
Réception de:17 http://ftp.fr.debian.org/debian stretch Release [118 kB]      
Réception de:18 http://ftp.debian.org/debian stretch-backports/main Sources 2019-04-13-0211.38.pdiff [3 362 B]
Réception de:19 http://ftp.debian.org/debian stretch-backports/main Sources 2019-04-13-0811.39.pdiff [1 150 B]
Réception de:20 http://ftp.debian.org/debian stretch-backports/main Sources 2019-04-13-2011.54.pdiff [33 B]
Réception de:21 http://ftp.debian.org/debian stretch-backports/main amd64 Packages 2019-04-13-0211.38.pdiff [1 688 B]
Réception de:22 http://ftp.debian.org/debian stretch-backports/main amd64 Packages 2019-04-13-0811.39.pdiff [4 643 B]
Réception de:20 http://ftp.debian.org/debian stretch-backports/main Sources 2019-04-13-2011.54.pdiff [33 B]
Réception de:22 http://ftp.debian.org/debian stretch-backports/main amd64 Packages 2019-04-13-0811.39.pdiff [4 643 B]
Réception de:23 http://ftp.debian.org/debian stretch-backports/main Translation-en 2019-04-13-0211.38.pdiff [42 B]
Réception de:24 http://ftp.debian.org/debian stretch-backports/main Translation-en 2019-04-13-0811.39.pdiff [418 B]
Réception de:24 http://ftp.debian.org/debian stretch-backports/main Translation-en 2019-04-13-0811.39.pdiff [418 B]
Réception de:25 http://ftp.fr.debian.org/debian stretch Release.gpg [2 434 B]  
Ign:25 http://ftp.fr.debian.org/debian stretch Release.gpg                    
Réception de:26 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [485 kB]
Atteint:27 http://ftp.fr.debian.org/debian stretch/main Sources                
Ign:27 http://ftp.fr.debian.org/debian stretch/main Sources                    
Atteint:28 http://ftp.fr.debian.org/debian stretch/contrib Sources            
Ign:28 http://ftp.fr.debian.org/debian stretch/contrib Sources                
Réception de:29 http://deb.debian.org/debian-security stable/updates/main Translation-en [215 kB]
Atteint:30 http://ftp.fr.debian.org/debian stretch/main amd64 Packages        
Ign:30 http://ftp.fr.debian.org/debian stretch/main amd64 Packages            
Atteint:31 http://ftp.fr.debian.org/debian stretch/main Translation-en        
Ign:31 http://ftp.fr.debian.org/debian stretch/main Translation-en            
Atteint:32 http://ftp.fr.debian.org/debian stretch/main Translation-fr        
Ign:32 http://ftp.fr.debian.org/debian stretch/main Translation-fr            
Atteint:33 http://ftp.fr.debian.org/debian stretch/main amd64 DEP-11 Metadata  
Ign:33 http://ftp.fr.debian.org/debian stretch/main amd64 DEP-11 Metadata      
Atteint:34 http://ftp.fr.debian.org/debian stretch/main DEP-11 64x64 Icons    
Atteint:35 http://ftp.fr.debian.org/debian stretch/contrib amd64 Packages      
Atteint:36 http://ftp.fr.debian.org/debian stretch/contrib Translation-en      
Atteint:37 http://ftp.fr.debian.org/debian stretch/contrib amd64 DEP-11 Metadata
Ign:35 http://ftp.fr.debian.org/debian stretch/contrib amd64 Packages          
Ign:36 http://ftp.fr.debian.org/debian stretch/contrib Translation-en          
Ign:37 http://ftp.fr.debian.org/debian stretch/contrib amd64 DEP-11 Metadata  
Atteint:38 http://ftp.fr.debian.org/debian stretch/contrib DEP-11 64x64 Icons  
Réception de:39 http://security.debian.org/debian-security stretch/updates/main Translation-en [215 kB]
Ign:40 http://security.debian.org/debian stretch-updates Release              
Ign:41 http://security.debian.org/debian stretch-updates/contrib Sources      
Ign:42 http://security.debian.org/debian stretch-updates/main Sources  
Ign:41 http://security.debian.org/debian stretch-updates/contrib Sources
Ign:42 http://security.debian.org/debian stretch-updates/main Sources
Ign:41 http://security.debian.org/debian stretch-updates/contrib Sources
Ign:42 http://security.debian.org/debian stretch-updates/main Sources
Ign:41 http://security.debian.org/debian stretch-updates/contrib Sources
Ign:42 http://security.debian.org/debian stretch-updates/main Sources
Ign:41 http://security.debian.org/debian stretch-updates/contrib Sources
Ign:42 http://security.debian.org/debian stretch-updates/main Sources
Err:41 http://security.debian.org/debian stretch-updates/contrib Sources
  404  Not Found [IP : 2a04:4e42:1d::204 80]
Ign:42 http://security.debian.org/debian stretch-updates/main Sources
Atteint:27 http://ftp.fr.debian.org/debian stretch/main Sources                
Ign:27 http://ftp.fr.debian.org/debian stretch/main Sources                    
Atteint:28 http://ftp.fr.debian.org/debian stretch/contrib Sources            
Ign:28 http://ftp.fr.debian.org/debian stretch/contrib Sources                
Atteint:30 http://ftp.fr.debian.org/debian stretch/main amd64 Packages        
Ign:30 http://ftp.fr.debian.org/debian stretch/main amd64 Packages            
Atteint:31 http://ftp.fr.debian.org/debian stretch/main Translation-en        
Ign:31 http://ftp.fr.debian.org/debian stretch/main Translation-en            
Atteint:32 http://ftp.fr.debian.org/debian stretch/main Translation-fr        
Ign:32 http://ftp.fr.debian.org/debian stretch/main Translation-fr            
Atteint:33 http://ftp.fr.debian.org/debian stretch/main amd64 DEP-11 Metadata  
Ign:33 http://ftp.fr.debian.org/debian stretch/main amd64 DEP-11 Metadata      
Atteint:35 http://ftp.fr.debian.org/debian stretch/contrib amd64 Packages      
Ign:35 http://ftp.fr.debian.org/debian stretch/contrib amd64 Packages          
Atteint:36 http://ftp.fr.debian.org/debian stretch/contrib Translation-en      
Ign:36 http://ftp.fr.debian.org/debian stretch/contrib Translation-en          
Atteint:37 http://ftp.fr.debian.org/debian stretch/contrib amd64 DEP-11 Metadata
Ign:37 http://ftp.fr.debian.org/debian stretch/contrib amd64 DEP-11 Metadata  
Atteint:27 http://ftp.fr.debian.org/debian stretch/main Sources                
Atteint:28 http://ftp.fr.debian.org/debian stretch/contrib Sources            
Atteint:30 http://ftp.fr.debian.org/debian stretch/main amd64 Packages        
Err:31 http://ftp.fr.debian.org/debian stretch/main Translation-en            
  BZ2_bzread: /var/lib/apt/lists/partial/ftp.fr.debian.org_debian_dists_stretch_main_i18n_Translation-en.bz2 Erreur de lecture (-5: DATA_ERROR_MAGIC)
Ign:32 http://ftp.fr.debian.org/debian stretch/main Translation-fr            
Atteint:33 http://ftp.fr.debian.org/debian stretch/main amd64 DEP-11 Metadata  
Atteint:35 http://ftp.fr.debian.org/debian stretch/contrib amd64 Packages      
Ign:36 http://ftp.fr.debian.org/debian stretch/contrib Translation-en          
Atteint:37 http://ftp.fr.debian.org/debian stretch/contrib amd64 DEP-11 Metadata
2 478 ko réceptionnés en 8s (309 ko/s)                                        
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://deb.debian.org/debian stable-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: The repository 'http://deb.debian.org/debian stable-updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://deb.debian.org/debian-security stable/updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: The repository 'http://deb.debian.org/debian-security stable/updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://deb.debian.org/debian stable Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
W: The repository 'http://deb.debian.org/debian stable Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://ftp.debian.org/debian stretch-backports InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: The repository 'http://ftp.debian.org/debian stretch-backports InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://security.debian.org/debian-security stretch/updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: The repository 'http://security.debian.org/debian-security stretch/updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://ftp.fr.debian.org/debian stretch-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: The repository 'http://ftp.fr.debian.org/debian stretch-updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://ftp.fr.debian.org/debian stretch Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
W: The repository 'http://ftp.fr.debian.org/debian stretch Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://security.debian.org/debian stretch-updates Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/stretch/main/i18n/Translation-en  BZ2_bzread: /var/lib/apt/lists/partial/ftp.fr.debian.org_debian_dists_stretch_main_i18n_Translation-en.bz2 Erreur de lecture (-5: DATA_ERROR_MAGIC)
E: Impossible de récupérer http://security.debian.org/debian/dists/stretch-updates/contrib/source/Sources  404  Not Found [IP : 2a04:4e42:1d::204 80]
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.


Voici le message d'erreur que j'obtiens à chaque installation de paquet :

Attention
Vous allez installer un logiciel qui ne peut pas être authentifié !


Voilà pour les messages d'erreur... Je suppose qu'ils viennent tous du même problème de clé publique GPG manquante sur mon PC scratchhead.gif
Voici mon fichier sources.list, que je suis allé chercher sur debgen.simplylinux.ch pour tenter de résoudre mon problème :

cat /etc/apt/sources.list


#------------------------------------------------------------------------------#
#                   OFFICIAL DEBIAN REPOS (debgen.simplylinux.ch)                    
#------------------------------------------------------------------------------#

###### Debian Main Repos
deb http://deb.debian.org/debian/ stable main contrib non-free
deb-src http://deb.debian.org/debian/ stable main contrib non-free

deb http://deb.debian.org/debian/ stable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stable-updates main contrib non-free

deb http://deb.debian.org/debian-security stable/updates main
deb-src http://deb.debian.org/debian-security stable/updates main

deb http://ftp.debian.org/debian stretch-backports main
deb-src http://ftp.debian.org/debian stretch-backports main


Voici mon fichier test.list :

cat /etc/apt/sources.list.d/test.list


# Debian Stretch, dépôt principal
deb http://ftp.fr.debian.org/debian/ stretch main contrib
deb-src http://ftp.fr.debian.org/debian/ stretch main contrib

# Debian Stretch, mises à jour de sécurité
deb http://security.debian.org/debian-security stretch/updates main contrib
deb-src  http://security.debian.org/debian-security stretch/updates main contrib

# Debian Stretch, mises à jour "volatiles"
deb http://ftp.fr.debian.org/debian/ stretch-updates contrib main
deb-src  http://security.debian.org/debian/ stretch-updates contrib main


Voici d'autres commandes peut-être utiles pour vous donner un aperçu de comment c'est rangé :

ls -a /etc/apt


.     preferences.d   sources.list.save    trusted.gpg.d
..      sources.list    sources.list.save.1
apt.conf.d    sources.list~   trusted.gpg
listchanges.conf  sources.list.d  trusted.gpg~


ls /etc/apt/sources.list.d


test.list  test.list.save


ls /etc/apt/trusted.gpg.d


debian-archive-jessie-automatic.gpg
debian-archive-jessie-security-automatic.gpg
debian-archive-jessie-stable.gpg
debian-archive-stretch-automatic.gpg
debian-archive-stretch-security-automatic.gpg
debian-archive-stretch-stable.gpg
debian-archive-wheezy-automatic.gpg
debian-archive-wheezy-stable.gpg


N'hésitez pas à déplacer/modifier mon post et à me demander davantage d'informations pour solutionner mon problème merci.gif

Dernière modification par Mr.Robot (16-04-2019 08:28:17)

Hors ligne

#2 15-04-2019 16:35:17

vv222
Modérateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 4.19 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [Résolu] Erreur de GPG, fichier sources.list

Je te propose de faire un peu de ménage pour remettre ton système de paquets dʼaplomb :

1. Supprime les fichiers /etc/apt/sources.list.d/test.list et /etc/apt/sources.list.d/test.list.save ;

2. Dans le fichier /etc/apt/sources.list, supprime toutes les lignes qui commencent par "deb-src" ;

3. Toujours dans /etc/apt/sources.list, remplace toutes les occurrences de "stable" par "stretch".

Après ça, lance la série de commandes suivante en root, et poste leurs retours complets ici :

apt clean
apt update


Jouer sous Debian ? Facile !

Hors ligne

#3 15-04-2019 17:03:47

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

D'abord, merci pour la réponse si rapide smile

J'ai effectué tous les changements et voici le retour de la commande :

apt update


Ign:1 http://deb.debian.org/debian stretch InRelease
Réception de:2 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Réception de:3 http://deb.debian.org/debian-security stretch/updates InRelease [94,3 kB]
Err:2 http://deb.debian.org/debian stretch-updates InRelease                  
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
Réception de:4 http://deb.debian.org/debian stretch Release [118 kB]          
Err:3 http://deb.debian.org/debian-security stretch/updates InRelease          
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
Réception de:5 http://deb.debian.org/debian stretch Release.gpg [2 434 B]      
Ign:5 http://deb.debian.org/debian stretch Release.gpg                
Réception de:6 http://ftp.debian.org/debian stretch-backports InRelease [91,8 kB]                                                                    
Err:6 http://ftp.debian.org/debian stretch-backports InRelease                                                                                      
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
Lecture des listes de paquets... Fait                                                                                                                
W: Erreur de GPG : http://deb.debian.org/debian stretch-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
E: The repository 'http://deb.debian.org/debian stretch-updates InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://deb.debian.org/debian-security stretch/updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
E: The repository 'http://deb.debian.org/debian-security stretch/updates InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://deb.debian.org/debian stretch Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
E: The repository 'http://deb.debian.org/debian stretch Release' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://ftp.debian.org/debian stretch-backports InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
E: The repository 'http://ftp.debian.org/debian stretch-backports InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Hors ligne

#4 15-04-2019 17:45:58

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Erreur de GPG, fichier sources.list

Bonsoir

fait


rm /etc/apt/trusted.gpg
 


puis


apt-get update
 



si tout va bien , ici des fichiers a supprimer encore (a voir après les commandes ci dessus)


.     preferences.d   sources.list.save    trusted.gpg.d
..      sources.list    sources.list.save.1
apt.conf.d    sources.list~   trusted.gpg
listchanges.conf  sources.list.d  trusted.gpg~
 



pour le sources.list il faut "main contrib non-free "  sur toutes les lignes
comme ceci


#debian stretch 9
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
 



pour le tien  ça manque sur la ligne sécurité et backports

voila pour moi le contenu de mon dossier /etc/apt/


apt.conf.d  auth.conf.d  listbugs  listchanges.conf  preferences.d  sources.list  sources.list~  sources.list.d  trusted.gpg.d
 



pour ce bug trusted.gpg => ici => https://debian-facile.org/viewtopic.php?id=21230
et ici =>  https://debian-facile.org/viewtopic.php?id=17967
en #8 , solution donné par éfpè

tu n'utilise pas synaptic par exemple ?

Dernière modification par robert2a (15-04-2019 18:14:48)

Hors ligne

#5 16-04-2019 08:19:44

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

Après avoir supprimé le fichier /etc/apt/trusted.gpg, voilà ce que donne

apt-get update


Ign:1 http://deb.debian.org/debian stretch InRelease
Réception de:2 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Réception de:3 http://deb.debian.org/debian-security stretch/updates InRelease [94,3 kB]
Réception de:4 http://ftp.debian.org/debian stretch-backports InRelease [91,8 kB]
Réception de:5 http://deb.debian.org/debian stretch Release [118 kB]          
Réception de:6 http://deb.debian.org/debian stretch-updates/main amd64 Packages [11,1 kB]
Réception de:7 http://deb.debian.org/debian stretch-updates/main Translation-en [11,1 kB]
Réception de:8 http://deb.debian.org/debian-security stretch/updates/main amd64 Packages [485 kB]
Réception de:9 http://deb.debian.org/debian-security stretch/updates/main Translation-en [215 kB]
Réception de:10 http://deb.debian.org/debian stretch Release.gpg [2 434 B]
Réception de:11 http://deb.debian.org/debian stretch/main amd64 Packages [7 084 kB]
Réception de:12 http://deb.debian.org/debian stretch/main Translation-fr [1 894 kB]
Réception de:13 http://deb.debian.org/debian stretch/main Translation-en [5 384 kB]
Réception de:14 http://deb.debian.org/debian stretch/main amd64 DEP-11 Metadata [3 066 kB]
Réception de:15 http://deb.debian.org/debian stretch/main DEP-11 64x64 Icons [6 804 kB]
Réception de:16 http://deb.debian.org/debian stretch/contrib amd64 Packages [50,9 kB]
Réception de:17 http://deb.debian.org/debian stretch/contrib Translation-en [45,9 kB]
Réception de:18 http://deb.debian.org/debian stretch/contrib amd64 DEP-11 Metadata [7 308 B]
Réception de:19 http://deb.debian.org/debian stretch/contrib DEP-11 64x64 Icons [100 kB]
Réception de:20 http://deb.debian.org/debian stretch/non-free amd64 Packages [78,3 kB]
Réception de:21 http://deb.debian.org/debian stretch/non-free Translation-en [80,3 kB]
Réception de:22 http://deb.debian.org/debian stretch/non-free amd64 DEP-11 Metadata [7 180 B]
Réception de:23 http://deb.debian.org/debian stretch/non-free DEP-11 64x64 Icons [30,0 kB]
25,8 Mo réceptionnés en 40s (643 ko/s)                                        
Lecture des listes de paquets... Fait


J'utilise en effet synaptic, il semble bien recharger sans problème maintenant.
Dois-je supprimer d'autres fichiers quand-même ?

J'ai modifié mon sources.list comme suit :

#debian stretch 9
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free


Merci pour les liens, je viens de les lire. J'étais passé à côté ops.gif idea.gif

Pour info voici quelques retours :

apt-key list


etc/apt/trusted.gpg.d/debian-archive-jessie-automatic.gpg
----------------------------------------------------------
pub   rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
      126C 0D24 BD8A 2942 CC7D  F8AC 7638 D044 2B90 D010
uid           [ unknown] Debian Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d/debian-archive-jessie-security-automatic.gpg
-------------------------------------------------------------------
pub   rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
      D211 6914 1CEC D440 F2EB  8DDA 9D6D 8F6B C857 C906
uid           [ unknown] Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d/debian-archive-jessie-stable.gpg
-------------------------------------------------------
pub   rsa4096 2013-08-17 [SC] [expires: 2021-08-15]
      75DD C3C4 A499 F1A1 8CB5  F3C8 CBF8 D6FD 518E 17E1
uid           [ unknown] Jessie Stable Release Key <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d/debian-archive-stretch-automatic.gpg
-----------------------------------------------------------
pub   rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
      E1CF 20DD FFE4 B89E 8026  58F1 E0B1 1894 F66A EC98
uid           [ unknown] Debian Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [expires: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-security-automatic.gpg
--------------------------------------------------------------------
pub   rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
      6ED6 F5CB 5FA6 FB2F 460A  E88E EDA0 D238 8AE2 2BA9
uid           [ unknown] Debian Security Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [expires: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-stable.gpg
--------------------------------------------------------
pub   rsa4096 2017-05-20 [SC] [expires: 2025-05-18]
      067E 3C45 6BAE 240A CEE8  8F6F EF0F 382A 1A7B 6500
uid           [ unknown] Debian Stable Release Key (9/stretch) <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d/debian-archive-wheezy-automatic.gpg
----------------------------------------------------------
pub   rsa4096 2012-04-27 [SC] [expires: 2020-04-25]
      A1BD 8E9D 78F7 FE5C 3E65  D8AF 8B48 AD62 4692 5553
uid           [ unknown] Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d/debian-archive-wheezy-stable.gpg
-------------------------------------------------------
pub   rsa4096 2012-05-08 [SC] [expires: 2019-05-07]
      ED6D 6527 1AAC F0FF 15D1  2303 6FB2 A1C2 65FF B764
uid           [ unknown] Wheezy Stable Release Key <debian-release@lists.debian.org>


ls -l /etc/apt


total 40
drwxr-xr-x 2 root root 4096 avril  8 20:47 apt.conf.d
-rw-r--r-- 1 root root  104 mars  27 22:24 listchanges.conf
drwxr-xr-x 2 root root 4096 janv. 18 11:42 preferences.d
-rw-r--r-- 1 root root  313 avril 16 08:56 sources.list
-rw-r--r-- 1 root root    0 mars  27 21:11 sources.list~
drwxr-xr-x 2 root root 4096 avril 15 17:56 sources.list.d
-rw-r--r-- 1 root root  305 avril 11 20:38 sources.list.save
-rw-r--r-- 1 root root  751 avril  6 16:16 sources.list.save.1
-rw-r--r-- 1 root root 4802 avril  5 21:23 trusted.gpg~
drwxr-xr-x 2 root root 4096 mars  27 21:11 trusted.gpg.d


merci.gif Merci beaucoup pour le coup de main. Je peux mettre donc mettre [Résolu] yes.gif

Dernière modification par Mr.Robot (16-04-2019 08:21:37)

Hors ligne

#6 16-04-2019 08:34:29

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Erreur de GPG, fichier sources.list

Bonjour
si ça se reproduit tu sais quoi faire maintenant .
je n'ai jamais réussi a reproduire sur mes stretch mais c'est un bug

a supprimer aussi


sources.list.save
sources.list.save.1
trusted.gpg~
 


mais pas une obligation  smile

Hors ligne

#7 16-04-2019 09:06:40

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Erreur de GPG, fichier sources.list

re ,

le membre éfpè m'a laissé ce message , si tu veut tester ces commandes , il te confirmera si tout va bien


ls -lhR /etc/apt
 



Permettrait de faire le point (permissions sur les fichiers et répertoires) sur le bazar mis par l'OP...
 



apt-key finger
 



Les clés publiques soi-disant manquantes sont fournies par le paquet debian-archive-keyring.
 


même si résolu , ça ne coute rien de poster les retours pour vérifier si tout correct
mais bon le (ou les ) fichiers sont effacés maintenant  roll

Hors ligne

#8 16-04-2019 09:43:36

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

J'ai supprimé les 3 fichiers inutiles

sources.list.save
sources.list.save.1
trusted.gpg~


Voilà les retours des commandes :

ls -lhr /etc/apt


total 28K
drwxr-xr-x 2 root root 4,0K mars  27 21:11 trusted.gpg.d
-rw------- 1 root root   32 avril 16 09:22 trusted.gpg
drwxr-xr-x 2 root root 4,0K avril 15 17:56 sources.list.d
-rw-r--r-- 1 root root    0 mars  27 21:11 sources.list~
-rw-r--r-- 1 root root  313 avril 16 08:56 sources.list
drwxr-xr-x 2 root root 4,0K janv. 18 11:42 preferences.d
-rw-r--r-- 1 root root  104 mars  27 22:24 listchanges.conf
drwxr-xr-x 2 root root 4,0K avril  8 20:47 apt.conf.d


apt-key finger


/etc/apt/trusted.gpg.d/debian-archive-jessie-automatic.gpg
----------------------------------------------------------
pub   rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
      126C 0D24 BD8A 2942 CC7D  F8AC 7638 D044 2B90 D010
uid           [ unknown] Debian Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d/debian-archive-jessie-security-automatic.gpg
-------------------------------------------------------------------
pub   rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
      D211 6914 1CEC D440 F2EB  8DDA 9D6D 8F6B C857 C906
uid           [ unknown] Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d/debian-archive-jessie-stable.gpg
-------------------------------------------------------
pub   rsa4096 2013-08-17 [SC] [expires: 2021-08-15]
      75DD C3C4 A499 F1A1 8CB5  F3C8 CBF8 D6FD 518E 17E1
uid           [ unknown] Jessie Stable Release Key <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d/debian-archive-stretch-automatic.gpg
-----------------------------------------------------------
pub   rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
      E1CF 20DD FFE4 B89E 8026  58F1 E0B1 1894 F66A EC98
uid           [ unknown] Debian Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [expires: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-security-automatic.gpg
--------------------------------------------------------------------
pub   rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
      6ED6 F5CB 5FA6 FB2F 460A  E88E EDA0 D238 8AE2 2BA9
uid           [ unknown] Debian Security Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [expires: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-stable.gpg
--------------------------------------------------------
pub   rsa4096 2017-05-20 [SC] [expires: 2025-05-18]
      067E 3C45 6BAE 240A CEE8  8F6F EF0F 382A 1A7B 6500
uid           [ unknown] Debian Stable Release Key (9/stretch) <debian-release@lists.debian.org>

/etc/apt/trusted.gpg.d/debian-archive-wheezy-automatic.gpg
----------------------------------------------------------
pub   rsa4096 2012-04-27 [SC] [expires: 2020-04-25]
      A1BD 8E9D 78F7 FE5C 3E65  D8AF 8B48 AD62 4692 5553
uid           [ unknown] Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>

/etc/apt/trusted.gpg.d/debian-archive-wheezy-stable.gpg
-------------------------------------------------------
pub   rsa4096 2012-05-08 [SC] [expires: 2019-05-07]
      ED6D 6527 1AAC F0FF 15D1  2303 6FB2 A1C2 65FF B764
uid           [ unknown] Wheezy Stable Release Key <debian-release@lists.debian.org>

W: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user 'Mr.Robot' executing apt-key.

Hors ligne

#9 16-04-2019 09:54:38

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

OUPS, il semblerait qu'il y ait de nouveau un problème. J'aurais peut-être pas du supprimer ces 3 fichiers roll

Quand je veux recharger les informations des paquets sur synaptic j'obtiens le même message qu'en fin de retour de la commande

apt-get update


Atteint:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://deb.debian.org/debian stretch InRelease          
Atteint:3 http://deb.debian.org/debian stretch-updates InRelease
Atteint:4 http://deb.debian.org/debian stretch-backports InRelease
Atteint:5 http://deb.debian.org/debian stretch Release
Lecture des listes de paquets... Fait
W: http://security.debian.org/debian-security/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch-backports/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
 


Je sais pas si c'est bien grave scratchhead.gif

Hors ligne

#10 16-04-2019 10:13:54

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Erreur de GPG, fichier sources.list

supprime celui la => -rw------- 1 root root   32 avril 16 09:22 trusted.gpg
il a été recréé entre temps sur ton #8


rm /etc/apt/trusted.gpg
 



je sais pas qui le créer , mais c'est pénible

pour les fichiers tu n'a rien enlevé d' utile , ce n'est pas la raison .

essaie de trouver ce qui peu créer (recréé) ce "trusted.gpg" , sur aucunes machines j'ai ce fichier  (stretch ou testing ) et tout fonctionne bien

Dernière modification par robert2a (16-04-2019 10:44:49)

Hors ligne

#11 16-04-2019 10:40:52

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

J'ai supprimé /etc/apt/trusted.gpg.

J'ai un nouveau message d'erreur, mais c'est de ma faute parce que je vais trop vite en besogne avec le terminal administrateur... ops.gif
Je voulais installer signal-desktop, que je n'ai pas trouvé dans synaptic, leur site donne les instructions suivantes :

curl -s https://updates.signal.org/desktop/apt/keys.asc | sudo apt-key add -
echo "deb [arch=amd64] https://updates.signal.org/desktop/apt xenial main" | sudo tee -a /etc/apt/sources.list.d/signal-xenial.list
sudo apt update && sudo apt install signal-desktop


Mais ça n'a pas l'air de fonctionner... (ah, et j'utilise su et pas sudo)
Enfin bref maintenant apt-get update me renvoie ça

E: Le type « apt » est inconnu sur la ligne 2 dans la liste des sources /etc/apt/sources.list.d/signal-xenial.list
E: La liste des sources ne peut être lue.



Mais quel noob. Faut vraiment que le sois plus prudent avec ce puissant outil.
Je vais chercher sur Internet pour résoudre ce nouveau problème

Hors ligne

#12 16-04-2019 10:51:37

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Erreur de GPG, fichier sources.list

tu a besoin de ce fichier "signal-xenial.list" , sinon tu l' efface ou le déplacer.
par exemple le mettre dans ton /home/tonuser/Documents/


mv /etc/apt/apt.sources.list.d/signal-xenial.list /home/tonuser/Documents/signal-xenial.list.txt
 


pour le remettre


mv /home/tonuser/Documents/signal-xenial.list.txt /etc/apt/apt.sources.list.d/signal-xenial.list
 


ps: "tonuser" a remplacé par le vrai nom de l'utilisateur

sans ce fichier , "apt update" ou "apt-get update" doit fonctionner

peut être éviter d'installer des choses hors dépôt debian , ce truc n'existe pas sur debian => signal-desktop  (ou il porte un autre nom )

Dernière modification par robert2a (16-04-2019 10:55:46)

Hors ligne

#13 16-04-2019 10:56:33

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

EDIT : C'est corrigé.
J'ai modifié le fichier /etc/apt/sources.list.d/signal-xenial.list que j'avais mal créé, il y avait "apt-get update" et "clear" à l'intérieur kernal_panic.gif
Maintenant,

apt-get update

me renvoie ça :

Ign:1 http://deb.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:3 http://deb.debian.org/debian stretch-updates InRelease
Atteint:4 http://deb.debian.org/debian stretch-backports InRelease
Atteint:5 http://deb.debian.org/debian stretch Release
Réception de:6 https://updates.signal.org/desktop/apt xenial InRelease [2 316 B]
Ign:6 https://updates.signal.org/desktop/apt xenial InRelease  
2 316 o réceptionnés en 0s (3 945 o/s)
Lecture des listes de paquets... Fait
W: Erreur de GPG : https://updates.signal.org/desktop/apt xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
W: The repository 'https://updates.signal.org/desktop/apt xenial InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.


J'ai donc un fichier signal-xenial.list propre, mais un problème de clé gpg ; et le terminal ne reconnaît pas la commande"curl" qu'on me demande de faire en première étape de l'installation de signal-desktop

Sinon il y a ces instructions sur leur FAQ :

1 wget --quiet --output-document - https://updates.signal.org/desktop/apt/keys.asc | sudo apt-key add -
2 echo "deb [arch=amd64] https://updates.signal.org/desktop/apt xenial main" | sudo tee -a /etc/apt/sources.list.d/signal-xenial.list
3 sudo apt install apt-transport-https && sudo apt update && sudo apt install signal-desktop


Je vais prendre le temps de comprendre les commandes avant de tout dérégler dans ma machine. C'est un application que j'utilise beaucoup et j'en ai vraiment besoin hmm

Dernière modification par Mr.Robot (16-04-2019 11:03:45)

Hors ligne

#14 16-04-2019 10:59:13

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Erreur de GPG, fichier sources.list

il te manque la clé gpg  pour ce dépôt

Hors ligne

#15 16-04-2019 11:05:39

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian 9 + backports/ openSUSE Leap 15 en VM
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20/KDE 5
Inscription : 11-03-2016

Re : [Résolu] Erreur de GPG, fichier sources.list

Bonjour,

robert2a a écrit :

je sais pas qui le créer , mais c'est pénible


Si le bureau est Gnome alors par défaut le paquet software-properties-gtk est installé et quand on modifie les sources par un moyen graphique : logiciel de Gnome ou si on a ensuite installer Synaptic alors il y a cette erreur de clé.
Si le bureau est mate, on peut supprimer ce paquet sans conséquence.
Si c'est Gnome par contre, ça va supprimer d'autres paquets Gnome (gnome software entre autre) donc pas top hmm


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#16 16-04-2019 11:15:51

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

chalu a écrit :

Si le bureau est Gnome alors par défaut le paquet software-properties-gtk est installé et quand on modifie les sources par un moyen graphique : logiciel de Gnome ou si on a ensuite installer Synaptic alors il y a cette erreur de clé.
Si le bureau est mate, on peut supprimer ce paquet sans conséquence.
Si c'est Gnome par contre, ça va supprimer d'autres paquets Gnome (gnome software entre autre) donc pas top hmm


A ma première installation j'ai coché tous les environnements de bureaux, Gnome, KDE, Mate, Xfce... pour tester. Finalement j'ai tout désinstallé au profit de Gnome seul.

Hors ligne

#17 16-04-2019 11:33:47

Mr.Robot
Membre
Lieu : France
Distrib. : Debian Stretch 9.8
Noyau : Linux 4.9.0-8-amd64
(G)UI : Gnome 3.22.2 (Openbox 3.6.1)
Inscription : 15-04-2019

Re : [Résolu] Erreur de GPG, fichier sources.list

Je n'ai plus de message d'erreur ni dans synaptic ni avec apt-get update.

Par contre, quand j'essaie

apt-get install signal-desktop

j'obtiens :

E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.
 



EDIT : J'ai trouvé la solution ici : https://debian-facile.org/viewtopic.php … 58#p231558 J'avais synaptic ouvert dans mon espace de travail.

Ce forum est génial. woohoo.gif

Dernière modification par Mr.Robot (16-04-2019 11:43:09)

Hors ligne

#18 Hier 21:03:23

JM72
Membre
Lieu : Moncé en Belin
Distrib. : Stretch 9.8
Noyau : 1 SMP Debian 4.9.144-3.1 (2019-02-19) x86_64 GNU/L
(G)UI : Gnome
Inscription : Hier
Site Web

Re : [Résolu] Erreur de GPG, fichier sources.list

Bonjour à tous,
J'avais le même souci et l'ai résolu en lisant  ce topic wink
Merci à tous,
Et comme dit par Mr. Robot : Ce forum est génial.
Merci beaucoup aux contributeurs.

Aime aussi le chocolat blanc...

Fait aux autres ce que tu aimerais que l'on te fasse...

Hors ligne

Pied de page des forums